<div class="multiform" id="settings-form">
	<ul class="hor-menu noselect nostyle" id="settings-menu">
		<li class="item hl-bottom" id="general">Редактировать приглашение</li>
	</ul>
	<div class="content">
		<div class="modal-message" style="display: none;"><div class="message-box"></div></div>
		<div class="sections">
			{% if user.role.permissions.USERS_INVITE %}
				<form id="inv-edit" method="post" action="/invites/inv/{{ inv.id }}/edit/">
					{% csrf_token %}
					<div class="input-field">
						<input type="text" name="name" value="{{ inv.name }}" required>
						<span class="highlight"></span>
						<span class="bar"></span>
						<label>Имя</label>
					</div>
					<div class="material-select">
						<select name="position">
							{% for position in positions %}
								{% if position.name == inv.position.name %}
									<option selected="selected">{{ position.name }}</option>
								{% else %}
									<option>{{ position.name }}</option>
								{% endif %}
							{% endfor %}
						</select>
						<label for="select" class="control-label">Должность</label><i class="bar"></i>
					</div>
					<div class="material-select">
						<select name="role">
							{% for role in roles %}
								{% if role.name == inv.role.name %}
									<option selected="selected">{{ role.name }}</option>
								{% else %}
									<option>{{ role.name }}</option>
								{% endif %}
							{% endfor %}
						</select>
						<label for="select" class="control-label">Группа</label><i class="bar"></i>
					</div>
					<div class="message-box">
						<p>Одноразовый ключ для регистрации сотрудника: <a href="/join?k={{ inv.key }}">{{ inv.key }}</a>.</p>
						<p>Отправьте ссылку или ключ сотруднику, чтобы он продолжил регистрацию.</p>
						<div id="qrcode"></div>
					</div>
					<div class="submit-container">
						<button id="inv-delete" class="button" form="">Удалить</button>
						<button class="button" form="inv-edit" type="submit">Сохранить</button>
					</div>
				</form>
			</div>
		{% else %}
			<h2>У вас недостаточно прав для просмотра этой страницы.</h2>
		{% endif %}
	</div>
</div>
<script>
	var qrText = location.protocol+"//"+window.location.host+"/join?k={{ inv.key }}";
	$('#qrcode').qrcode({width:230, height:230, text:qrText});

	$(function() {
		$("form").submit(function(e) {
			e.preventDefault();
			modalMessage();
			var form = $(this);
			var posting = $.post(form.attr('action'), form.serialize());
			posting.done(function(data) {
				modalMessage(data);
				location.reload();
			});
			posting.fail(function(data) {
				modalMessage(data['responseText']);
			});
		});
	});

	var confirmed = false;
	$("button#inv-delete").click(function(){
		if (confirmed) {
			var posting = $.post('/invites/inv/{{ inv.id }}/delete/', {'csrfmiddlewaretoken': '{{ csrf_token }}'});
			posting.done(function(data) {
				modalMessage(data);
				location.reload();
			});
			posting.fail(function(data) {
				modalMessage(data['responseText']);
			});
		} else {
			$("button#inv-delete").html("Вы уверены?");
			confirmed = true;
		}
	});

	if ('{{ err }}' != '') {
		var msg = '{{ err }}';
	}
	modalMessage(msg);
</script>